libzypp 17.37.10

zypp::ServiceInfo::RepoState Struct Reference

`#include <zypp/ServiceInfo.h>`

## Public Member Functions
| RepoState ()
| RepoState (const RepoInfo &repo_r)
bool | operator== (const RepoState &rhs) const
bool | operator!= (const RepoState &rhs) const

## Public Attributes
bool | enabled
bool | autorefresh
unsigned | priority

## Friends
std::ostream & | operator<< (std::ostream &str, const RepoState &obj)

## Detailed Description

Definition at line 167 of file ServiceInfo.h.

## Constructor & Destructor Documentation

## ◆ RepoState() [1/2]

zypp::ServiceInfo::RepoState::RepoState | ( |  | ) |
| inline

Definition at line 173 of file ServiceInfo.h.

## ◆ RepoState() [2/2]

zypp::ServiceInfo::RepoState::RepoState | ( | const RepoInfo & | repo_r | ) |
| inline

Definition at line 176 of file ServiceInfo.h.

## Member Function Documentation

## ◆ operator==()

bool zypp::ServiceInfo::RepoState::operator== | ( | const RepoState & | rhs | ) | const
| inline

Definition at line 179 of file ServiceInfo.h.

## ◆ operator!=()

bool zypp::ServiceInfo::RepoState::operator!= | ( | const RepoState & | rhs | ) | const
| inline

Definition at line 181 of file ServiceInfo.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const RepoState & | obj )
| friend

Definition at line 168 of file ServiceInfo.cc.

## Member Data Documentation

## ◆ enabled

bool zypp::ServiceInfo::RepoState::enabled

Definition at line 169 of file ServiceInfo.h.

## ◆ autorefresh

bool zypp::ServiceInfo::RepoState::autorefresh

Definition at line 170 of file ServiceInfo.h.

## ◆ priority

unsigned zypp::ServiceInfo::RepoState::priority

Definition at line 171 of file ServiceInfo.h.

The documentation for this struct was generated from the following file:

- zypp/ServiceInfo.h